Version: 1.0.0
Asset Processing API - Introduction
Trigger image conversions, video transcodes, and addon processing for assets.
Processing Keys
Use the following built-in keys when calling the Process or Process (bulk) endpoints.
Image Keys
| Key | Description |
|---|---|
smart_imaging | Pre-processing for On-demand image generation |
Video Keys
| Key | Description |
|---|---|
360p-video | 360p video transcode |
480p-video | 480p video transcode |
720p-video | 720p video transcode |
1080p-video | 1080p video transcode |
hls-video | HLS adaptive streaming |
360p-wm-video | 360p with watermark |
480p-wm-video | 480p with watermark |
720p-wm-video | 720p with watermark |
1080p-wm-video | 1080p with watermark |
Special Keys
| Key | Description |
|---|---|
clip_preview | Generate a preview clip using the user's video settings profile |
storyboard | Generate storyboard images using the user's video settings profile. Requires the STORYBOARD addon to be enabled. |
note
Unknown keys and keys that do not apply to the asset's file type are silently ignored.
Authentication
- API Key: ApiKeyAuth
- HTTP: Bearer Auth
API key for programmatic access
Security Scheme Type: | apiKey |
|---|---|
Header parameter name: | X-FileSpin-Api-Key |
JWT token obtained from POST /api/v1/login
Security Scheme Type: | http |
|---|---|
HTTP Authorization Scheme: | bearer |
Bearer format: | JWT |